> For the complete documentation index, see [llms.txt](https://docs.portaldots.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.portaldots.com/contributing/directories.md).

# PortalDotsのディレクトリ構造

PortalDotsを構成するディレクトリ構造を説明します。

[PortalDotsのGitHubリポジトリ](https://github.com/portaldots/PortalDots)は、以下のディレクトリ構造を持ちます(2023年5月現在)。

PortalDotsは、主にLaravelとVue.js(バージョン3)、SCSSを利用しています。

{% hint style="warning" %}
Laravelのモデルは、一般的に`app/Models`ディレクトリに格納しますが、PortalDotsでは`app/Eloquents`ディレクトリに格納しています。
{% endhint %}

```
.
├── .github
│   ├── workflows           CIの実行やリリースZIPファイルの作成のためのGitHub Actionsワークフロー。
├── app                     Laravelのアプリケーションディレクトリ。
│   ├── Auth                
│   ├── Console             
│   ├── Eloquents           モデル。Laravel標準のフォルダ(Models)とは異なるので注意。
│   ├── Exceptions          
│   ├── Exports             CSVエクスポート/インポート機能。
│   ├── GridMakers          スタッフモード内に表示する各種一覧表示の定義。
│   ├── Http                
│   │   ├── Controllers     コントローラー。原則として1コントローラにつき1アクションのみ。
│   │   ├── Middleware      
│   │   ├── Requests        フォームリクエストクラス。バリデーション処理は原則ここに書く。
│   │   └── Responders      
│   ├── Mail                
│   ├── Notifications       
│   ├── Policies            
│   ├── Providers           
│   └── Services            サービスクラス。データベースを操作する処理をここに書くことがある。
├── bootstrap               
├── config                  
├── cron                    
├── database                
│   ├── factories           
│   ├── migrations          
│   └── seeders             
├── docker_dev              
├── patches                 npmパッケージにパッチを当てるために利用。
├── resources               
│   ├── img                 
│   ├── js                  
│   │   ├── forms_editor    フォームエディター用のJavaScriptファイル。Vue.jsを使用。
│   │   └── v2              フォームエディター以外のJavaScriptファイル。Vue.jsを使用。
│   ├── lang                
│   ├── sass                
│   │   └── v2              主なスタイルはこのフォルダ内に書く。
│   └── views               ビューファイル。原則としてコントローラのアクション1つにつき1ファイル。
└── routes                  ルーティング定義ファイル。スタッフモードと一般モードでファイルを分けている。
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.portaldots.com/contributing/directories.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
